std::experimental::filesystem::directory_iterator::operator=(3)

NAME
std::experimental::filesystem::directory_iterator::operator= - std::experimental::filesystem::directory_iterator::operator=

Synopsis
   directory_iterator& operator++();
                        (filesystem TS)
   directory_iterator& increment( error_code& ec ) noexcept;
   Advances the iterator to the next entry.
    This section is incomplete

Parameters
   ec - error code to store error status to

Return value
   *this

Exceptions
   1)
    This section is incomplete
   2)
   noexcept specification:
   noexcept

Categories:
     * Noindexed pages
     * Todo without reason
     * unconditionally noexcept

Hidden categories:
     * Pages with unreviewed unconditional noexcept template
     * Pages with unreviewed noexcept template